summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-08-05 12:23:12 -0400
committerHolger Levsen <holger@layer-acht.org>2017-08-05 12:25:42 -0400
commit2a36fbce0ba3e69d5f5bd8e69c90654cd1b3d83a (patch)
treeb6d579ab334acb509310b8235fbb5fdf2c373b8c
parent9f66ef0e2e118a89a069fb774bc261a400014238 (diff)
downloadjenkins.debian.net-2a36fbce0ba3e69d5f5bd8e69c90654cd1b3d83a.tar.xz
chroot-installs: drop jobs with upgrade apt-dpkg first (and add them to the zombie check)
Signed-off-by: Holger Levsen <holger@layer-acht.org>
-rwxr-xr-xbin/chroot-installation.sh7
-rwxr-xr-xbin/reproducible_node_health_check.sh2
-rwxr-xr-xjob-cfg/chroot-installation.yaml.py16
3 files changed, 2 insertions, 23 deletions
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index f86febed..76d61276 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -137,18 +137,11 @@ echo "set +x" >> $CTMPFILE
}
prepare_upgrade2() {
- # support _aptdpkg_first type upgrade jobs...
- if [ "${JOB_NAME: -14}" = "_aptdpkg_first" ] ; then
- APTDPKGFIRST="apt-get -y install dpkg apt"
- else
- APTDPKGFIRST=""
- fi
cat >> $CTMPFILE <<-EOF
echo "deb $MIRROR $1 main" > /etc/apt/sources.list.d/$1.list
$SCRIPT_HEADER
set -x
apt-get update
-$APTDPKGFIRST
apt-get -y upgrade
apt-get clean
apt-get -yf dist-upgrade
diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index 760ecbd7..d29e6dbe 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -145,7 +145,7 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
# and we dont know why and when that happens,
# so just report those zombies here.
#
- ZOMBIES=$(ls -1d /var/lib/jenkins/jobs/* | egrep 'reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|ff64a|jtk1a|odc2a' || true)
+ ZOMBIES=$(ls -1d /var/lib/jenkins/jobs/* | egrep 'reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|aptdpkg|ff64a|jtk1a|odc2a' || true)
if [ ! -z "$ZOMBIES" ] ; then
echo "Warning, rise of the jenkins job zombies has started again, these jobs should not exist:"
for z in $ZOMBIES ; do
diff --git a/job-cfg/chroot-installation.yaml.py b/job-cfg/chroot-installation.yaml.py
index 5cc46a25..cbdedebf 100755
--- a/job-cfg/chroot-installation.yaml.py
+++ b/job-cfg/chroot-installation.yaml.py
@@ -195,13 +195,6 @@ jobspecs = [
'distfilter': (lambda d: tuple(set(d) & set(distro_upgrades))),
'skiptaryet': (lambda t: False)
},
- { 'j_ext': '_upgrade_to_{dist2}_aptdpkg_first',
- 'd_ext': ', then upgrade apt and dpkg to {dist2} and then everything else',
- 's_ext': ' {dist2}',
- 'dist_func': (lambda d: [{dist: {'dist2': distro_upgrades[dist]}} for dist in d]),
- 'distfilter': (lambda d: tuple((set(d) & set(distro_upgrades)))),
- 'skiptaryet': (lambda t: t[:10] == 'education-')
- },
]
# some functions first…
@@ -284,13 +277,6 @@ data.append(
data.append(
{ 'job-template': { 'defaults': 'chroot-installation',
'name': '{name}_{dist}_install_{target}_upgrade_to_{dist2}'}})
-data.append(
- { 'job-template': { 'defaults': 'chroot-installation',
- 'name': '{name}_{dist}_{action}_upgrade_to_{dist2}_aptdpkg_first'}})
-data.append(
- { 'job-template': { 'defaults': 'chroot-installation',
- 'name': '{name}_{dist}_install_{target}_upgrade_to_{dist2}_aptdpkg_first'}})
-
# maintenance jobs
maint_distros = []
for base_distro in sorted(base_distros):
@@ -299,7 +285,7 @@ for base_distro in sorted(base_distros):
trigger = 'chroot-installation_{dist}_bootstrap'
for item in distro_upgrades.items():
if item[1]==base_distro and base_distro in distro_upgrades:
- trigger = trigger+', chroot-installation_{dist}_bootstrap_upgrade_to_{dist2}, chroot-installation_{dist}_bootstrap_upgrade_to_{dist2}_aptdpkg_first'
+ trigger = trigger+', chroot-installation_{dist}_bootstrap_upgrade_to_{dist2}'
dist2 = distro_upgrades[base_distro]
else:
trigger = 'chroot-installation_{dist}_bootstrap_upgrade_to_{dist2}'